Loading...
Searching...
No Matches
advfs_plus.h File Reference

Go to the source code of this file.

## Functions

int | hfsplus_btree_search (HfsPPrivateFile *b_tree_file, HfsPPrivateGenericKey *key, void *record_out, unsigned int record_size, HfsCPrivateLeafRec *record_ref)
unsigned int | hfsplus_find_start_pack (const PedFileSystem *fs, unsigned int fblock)
void | hfsplus_free_bad_blocks_list (HfsPPrivateLinkExtent *first)
PedSector | hfsplus_get_empty_end (const PedFileSystem *fs)
PedSector | hfsplus_get_min_size (const PedFileSystem *fs)
int | hfsplus_is_bad_block (const PedFileSystem *fs, unsigned int fblock)
int | hfsplus_read_bad_blocks (const PedFileSystem *fs)

## Function Documentation

## hfsplus_btree_search()

int hfsplus_btree_search | ( | HfsPPrivateFile * | b_tree_file,
|  | HfsPPrivateGenericKey * | key,
|  | void * | record_out,
|  | unsigned int | record_size,
|  | HfsCPrivateLeafRec * | record_ref )

## hfsplus_find_start_pack()

unsigned int hfsplus_find_start_pack | ( | const PedFileSystem * | fs,
|  | unsigned int | fblock )

## hfsplus_free_bad_blocks_list()

void hfsplus_free_bad_blocks_list | ( | HfsPPrivateLinkExtent * | first | ) |

## hfsplus_get_empty_end()

PedSector hfsplus_get_empty_end | ( | const PedFileSystem * | fs | ) |

## hfsplus_get_min_size()

PedSector hfsplus_get_min_size | ( | const PedFileSystem * | fs | ) |

## hfsplus_is_bad_block()

int hfsplus_is_bad_block | ( | const PedFileSystem * | fs,
|  | unsigned int | fblock )

## hfsplus_read_bad_blocks()

int hfsplus_read_bad_blocks | ( | const PedFileSystem * | fs | ) |